Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 26 Jul 2021 03:47:38 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello:

Order number: 8276259204

I have been told by your online team on the phone today that a courier was supposed to pick up the damaged items at 1:30 PM, but he didn’t come! I have requested for a return and refund of two damaged items since the 7th of July. It has been almost a month. Each week you promise that you will send someone to pick them up, but no one comes. What a terrible service! If nobody comes to pick up the items by tomorrow, I will personally go to the Consumer Protection office in Kuwait and file a complaint against Home Center. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2902642